The Spring Framework

## org.springframework.transaction.interceptor
Class TransactionAspectSupport.TransactionInfo

    java.lang.Object
      org.springframework.transaction.interceptor.TransactionAspectSupport.TransactionInfo

Enclosing class:
  TransactionAspectSupport

    protected class TransactionAspectSupport.TransactionInfo

extends Object

Opaque object used to hold Transaction information. Subclasses must pass it back to methods on this class, but not see its internals.

Constructor Summary
`TransactionAspectSupport.TransactionInfo(TransactionAttribute transactionAttribute, String joinpointIdentification)`

Method Summary
`String` `getJoinpointIdentification()` Return a String representation of this joinpoint (usually a Method call) for use in logging.
`TransactionAttribute` `getTransactionAttribute()`
`TransactionStatus` `getTransactionStatus()`
`boolean` `hasTransaction()` Return whether a transaction was created by this aspect, or whether we just have a placeholder to keep ThreadLocal stack integrity.
`void` `newTransactionStatus(TransactionStatus status)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionAspectSupport.TransactionInfo

    public TransactionAspectSupport.TransactionInfo(TransactionAttribute transactionAttribute,
                                                    String joinpointIdentification)

Method Detail

### getTransactionAttribute

    public TransactionAttribute getTransactionAttribute()

### getJoinpointIdentification

    public String getJoinpointIdentification()

  Return a String representation of this joinpoint (usually a Method call) for use in logging.

### newTransactionStatus

    public void newTransactionStatus(TransactionStatus status)

### getTransactionStatus

    public TransactionStatus getTransactionStatus()

### hasTransaction

    public boolean hasTransaction()

  Return whether a transaction was created by this aspect, or whether we just have a placeholder to keep ThreadLocal stack integrity.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.